For the complete documentation index, see llms.txt. This page is also available as Markdown.

Partially modify images

Update the properties of the specified image.

patch
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
imageIdstringRequired

The unique ID of the image.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
namestringOptional

The resource name.

Example: My resource
descriptionstringOptional

Human-readable description.

Example: The image/snapshot of Ubuntu
locationstringRead-onlyOptional

The location of this image/snapshot.

Example: us/las
sizenumberRead-onlyOptional

The image size in GB.

Example: 100
cpuHotPlugbooleanOptional

Hot-plug capable CPU (no reboot required).

Example: true
cpuHotUnplugbooleanOptional

Hot-unplug capable CPU (no reboot required).

Example: true
ramHotPlugbooleanOptional

Hot-plug capable RAM (no reboot required).

Example: true
ramHotUnplugbooleanOptional

Hot-unplug capable RAM (no reboot required).

Example: true
nicHotPlugbooleanOptional

Hot-plug capable NIC (no reboot required).

Example: true
nicHotUnplugbooleanOptional

Hot-unplug capable NIC (no reboot required).

Example: true
discVirtioHotPlugbooleanOptional

Hot-plug capable Virt-IO drive (no reboot required).

Example: true
discVirtioHotUnplugbooleanOptional

Hot-unplug capable Virt-IO drive (no reboot required). Not supported with Windows VMs.

Example: true
discScsiHotPlugbooleanOptional

Hot-plug capable SCSI drive (no reboot required).

Example: true
discScsiHotUnplugbooleanOptional

Hot-unplug capable SCSI drive (no reboot required). Not supported with Windows VMs.

Example: true
exposeSerialbooleanOptional

If set to true will expose the serial id of the disk attached to the server. If set to false will not expose the serial id. Some operating systems or software solutions require the serial id to be exposed to work properly. Exposing the serial can influence licensed software (e.g. Windows) behavior

Default: falseExample: true
requireLegacyBiosbooleanOptional

Indicates if the image requires the legacy BIOS for compatibility or specific needs.

Default: trueExample: true
licenceTypestringRequired

The OS type of this image.

Example: LINUX
applicationTypestringOptional

The type of application that is hosted on this resource. Only public images can have an Application type different than UNKNOWN.

Example: MSSQL-2019-Standard
imageTypestring · enumRead-onlyOptional

The image type.

Example: HDDPossible values:
publicbooleanRead-onlyOptional

Indicates whether the image is part of a public repository.

Example: true
imageAliasesstring[]Read-onlyOptional

List of image aliases mapped for this image

requiredFeaturesstring[]Read-onlyOptional

The list of features required by this image. If SEV-SNP is part of this list, then the image supports Confidential Computing.

cloudInitstring · enumOptional

Cloud init compatibility.

Example: V1Possible values:
Responses
202

Successful operation

application/json
patch/images/{imageId}
PATCH /cloudapi/v6/images/{imageId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 406

{
  "name": "My resource",
  "description": "The image/snapshot of Ubuntu ",
  "cpuHotPlug": true,
  "cpuHotUnplug": true,
  "ramHotPlug": true,
  "ramHotUnplug": true,
  "nicHotPlug": true,
  "nicHotUnplug": true,
  "discVirtioHotPlug": true,
  "discVirtioHotUnplug": true,
  "discScsiHotPlug": true,
  "discScsiHotUnplug": true,
  "exposeSerial": true,
  "requireLegacyBios": true,
  "licenceType": "LINUX",
  "applicationType": "MSSQL-2019-Standard",
  "cloudInit": "V1"
}
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "image",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
    "createdDate": "2015-12-04T14:34:09.809Z",
    "createdBy": "user@example.com",
    "createdByUserId": "user@example.com",
    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
    "lastModifiedBy": "user@example.com",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "state": "AVAILABLE"
  },
  "properties": {
    "name": "My resource",
    "description": "The image/snapshot of Ubuntu ",
    "location": "us/las",
    "size": 100,
    "cpuHotPlug": true,
    "cpuHotUnplug": true,
    "ramHotPlug": true,
    "ramHotUnplug": true,
    "nicHotPlug": true,
    "nicHotUnplug": true,
    "discVirtioHotPlug": true,
    "discVirtioHotUnplug": true,
    "discScsiHotPlug": true,
    "discScsiHotUnplug": true,
    "exposeSerial": true,
    "requireLegacyBios": true,
    "licenceType": "LINUX",
    "applicationType": "MSSQL-2019-Standard",
    "imageType": "HDD",
    "public": true,
    "imageAliases": [
      "text"
    ],
    "requiredFeatures": [
      "text"
    ],
    "cloudInit": "V1"
  }
}

Last updated

Was this helpful?